I tried to do some changes to my initial model just like the tutorial given by rasa on youtube ( simple introduction to custom actions). i did exactly as in the tutorial but error keeps popping up. i don't understand why. please do help

this is the error that keeps on appearing. Your input → hi Hey! How are you? Your input → what time is it 2021-06-03 00:51:02 ERROR rasa.core.processor - Encountered an exception while running action ‘action_show_time’.Bot will continue, but the actions events are lost. Please check the logs of your action server for more information. Traceback (most recent call last): File “c:\users\user\anaconda3\envs\installingrasa\lib\site-packages\rasa\core\processor.py”, line 772, in _run_action events = await action.run( File “c:\users\user\anaconda3\envs\installingrasa\lib\site-packages\rasa\core\actions\action.py”, line 670, in run raise RasaException( rasa.shared.exceptions.RasaException: Failed to execute custom action ‘action_show_time’ because no endpoint is configured to run this custom action. Please take a look at the docs and set an endpoint configuration via the --endpoints flag.

@Lin can you check that in your credentials.yml file the action_endpoint option is being set in that file.

You should have something like this:

action_endpoint:
  url: "http://localhost:5055/webhook"

This file contains the different endpoints your bot can use.

Server where the models are pulled from.

Model Storage

#models:

url: http://my-server.com/models/default_core@latest

wait_time_between_pulls: 10 # [optional](default: 100)

Server which runs your custom actions.

Custom Actions

#action_endpoint:

** url: “http://localhost:5055/webhook”**

Tracker store which is used to store the conversations.

By default the conversations are stored in memory.

Tracker Stores

its there as you said and i did run the actions as well and it says that it is up and running on http://0.0.0.0:5055. even then the problem is still there.

The formatting here is making this difficult to read. Could you properly format your code to make it easier to read?

It looks like you have your action_endpoint commented out. Try removing that comment in your credentials.yml file.

hello again. thankyou for helping me like this. and i tried the method that you told me but it still didn’t work so i initialized it again and made the changes again to the existing model and this time too it didn’t work but the error shown is slightly different. please have a look. I’m new to rasa so i don’t know much, sorry.

2021-06-03 23:13:50 ERROR rasa.core.processor - Encountered an exception while running action ‘action_show_time’.Bot will continue, but the actions events are lost. Please check the logs of your action server for more information. Traceback (most recent call last): File “c:\users\user\anaconda3\envs\installingrasa\lib\site-packages\rasa\core\actions\action.py”, line 683, in run response = await self.action_endpoint.request( File “c:\users\user\anaconda3\envs\installingrasa\lib\site-packages\rasa\utils\endpoints.py”, line 154, in request raise ClientResponseError( rasa.utils.endpoints.ClientResponseError: 404, Not Found, body=‘b’{“error”:“No registered action found for name ‘action_show_time’.”,“action_name”:“action_show_time”}’’

The above exception was the direct cause of the following exception:

Traceback (most recent call last): File “c:\users\user\anaconda3\envs\installingrasa\lib\site-packages\rasa\core\processor.py”, line 772, in _run_action events = await action.run( File “c:\users\user\anaconda3\envs\installingrasa\lib\site-packages\rasa\core\actions\action.py”, line 707, in run raise RasaException(“Failed to execute custom action.”) from e rasa.shared.exceptions.RasaException: Failed to execute custom action.